Subject: [Sip] Grammar for Refer-To and Referred-By

From: "ShavinderPal Singh" <[email-masked]>
Date: Wed, 24 Jul 2002 19:05:07 +0530

Hi,

Can anyone help me in finding the Grammar for the Refer-To and
Referred-By headers, which are present in the REFER message?
I could not find their mention in RFC 3261.

Thanks & Regards
s

Ph.: 091-124-6383474 (e 250)
__________________________________________
I had a good grip on life, but then the handle broke.

-----Original Message-----
From: Sean Olson [mailto:[email-masked]]
Sent: Tuesday, July 23, 2002 10:15 PM
To: Vijay K. Gurbani
Cc: [email-masked]; [email-masked];
[email-masked]; [email-masked]
Subject: Re: [Sip] Re: [Simple] -05 MESSAGE and Expires header

I'm not necessarily disagreeing with you.
I think the problem is that people have different
notions of what "stale" means for a MESSAGE request.
Does stale simply mean the message is old or does
it imply that the message is invalid in some sense?
Would you render a "stale" MESSAGE to the user or
should the User Agent drop it on the floor?

I don't see how "Expires: 0" could be used to
retract an instant message. My interpretation
of "Expires: 0" is that if it hit an intermediary
which could not immediately deliver the MESSAGE
to the appropriate destination, it would not store
the MESSAGE and return a 202, rather it would 
return something like a 480 response.

/sean

--- "Vijay K. Gurbani" <[email-masked]> wrote:
> Sean Olson wrote:
> > I fail to see why Expires: 0 means the message
> > will never expire. How does 0 equate to infinity?
> > 
> > An Expires: 0 from the sender, in my opinion,
> > should indicate that this message should be
> delivered
> > immediately or not at all. I don't think it should
> > be used for the sender (or gateway or proxy) to
> > indicate that a message is "stale".
> 
> Staleness is what 'Expires: 0' currently implies for
> REGISTER
> and SUBSCRIBE.  And I realize that I am fighting a
> loosing battle,
> but for all it is worth, it will be good to accord
> only that semantic
> to 'Expires: 0', and no more.
> 
> Now, before everyone flames me, I do realize that
> the MESSAGE I-D does
> not allow for this behavior, nor are there any
> requirements in
> section 5.4 of RFC 2779 to that effect.  But there
> have been many
> times when I have sent an email which I wish I could
> retract.  If
> in the future we want to do the same for stored IMs
> (i.e. ones that
> elicited a 202 response), we will not be able to use
> 'Expires: 0' for
> this purpose.
> 
> - vijay
> -- 
> Vijay K. Gurbani 
> vkg@{lucent.com,research.bell-labs.com,acm.org}
> Wireless Networks Group/Internet Software and
> Services
> Lucent Technologies/Bell Labs Innovations, 2000
> Lucent Lane, Rm 6G-440
> Naperville, Illinois 60566     Voice: +1 630 224
> 0216
> 

__________________________________________________
Do You Yahoo!?
Yahoo! Health - Feel better, live better
http://health.yahoo.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Ranjit Avasarala" <[email-masked]>
Date: Wed, 24 Jul 2002 19:59:10 +0530

For Refer-To header refer  draft-ietf-sip-refer-06.txt
and for referred-by refer draft-ietf-sip-referredby-00.txt

HTH
Ranjit